/*
 * Functions for calculating and displaying the network load
 * Copyright (C) 2001 Jan Oberlnder <mindriot@gmx.net>
 *
 * This file is part of netload_applet.
 *
 * netload_applet is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: functions.h,v 1.2 2001/10/05 23:43:34 mindriot Exp $
 */

#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#include <config.h>
#include <string.h>
#include <gnome.h>
#include <applet-widget.h>

#include "netload_applet.h"
#include "globals.h"

gchar *
read_line (FILE *stream);

gchar **
read_netstat_output(void);

void
get_byte_counts (void);

void
init_byte_counts (void);

gchar **
get_available_devices (void);

void
shift_values (void);

void
scale_values (void);

/*
 * updates count fields to new size.
 * completely re-initializes the fields; recent data is gone.
 */
void
resize_count_fields (void);

void
set_default_display_scheme (void);

/*
 * This frees all data associated with the display scheme.
 * It unrefs and frees the fonts and font names.
 */
void
free_display_scheme_data (void);

/*
 * initializes the display scheme, i.e. it makes sure that all values are valid
 * and it loads the fonts and the colors.
 */
void
init_display_scheme (void);

gint
gtk_option_menu_get_history (GtkOptionMenu *option_menu);

gboolean
get_config (void);

#endif
