/*
 * Global variables header file
 * Copyright (C) 2001 Jan Oberlnder <mindriot@gmx.net>
 *
 * This file is part of netload_applet.
 *
 * netload_applet is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: globals.h,v 1.2 2001/10/04 23:17:54 mindriot Exp $
 */

#ifndef GLOBALS_H
#define GLOBALS_H

#include <config.h>
#include "netload_applet.h"

/*
 * The display scheme settings.
 */
extern DisplayScheme display_scheme;
extern DisplayScheme default_display_scheme;

/*
 * applet widget
 */
extern GtkWidget *applet;

/*
 * drawable area in panel
 */
extern GtkWidget *draw;

/*
 * our panel's current size. Only interesting for Gnome >= 1.2.
 */
#ifdef HAVE_PANEL_PIXEL_SIZE
extern int panel_size;
#endif

/*
 * Graphics context
 */
extern GdkGC *gc;

/*
 * Data counts
 */
extern guint32 *rx_byte_counts,
               *tx_byte_counts,
               *rx_delta_counts,
               *tx_delta_counts,
               *rx_values,
               *tx_values,
               rx_average,
               tx_average,
               largest;

/*
 * Last display width
 */
extern guint32 oldwidth;

/*
 * Timeout handler ID
 */
extern guint timeout_id;

/*
 * List of available net devices
 */
extern gchar **device_list;

/*
 * The Preferences dialog
 */
extern gboolean pref_window_visible;
extern GtkWidget *pref_dialog;

/*
 * Interface down?
 */
extern gboolean iface_down;

/*
 * All dialog elements
 */
extern GtkWidget *pref_window;
extern GtkWidget *main_box;
extern GtkWidget *notebook;
extern GtkWidget *nbox1;
extern GtkWidget *info1;
extern GtkWidget *nseparator1;
extern GtkWidget *size_table;
extern GtkWidget *fixed_width;
extern GtkWidget *fixed_height;
extern GtkWidget *width_label;
extern GtkWidget *height_label;
extern GtkObject *width_spinbutton_adj;
extern GtkWidget *width_spinbutton;
extern GtkObject *height_spinbutton_adj;
extern GtkWidget *height_spinbutton;
extern GtkWidget *panel_table;
extern GtkWidget *background_label;
extern GtkWidget *topleft_label;
extern GtkWidget *bottomright_label;
extern GtkWidget *monitor_label;
extern GtkWidget *refresh_label;
extern GtkWidget *background_color_picker;
extern GtkWidget *top_edge_color_picker;
extern GtkWidget *bottom_edge_color_picker;
extern GtkObject *timeout_spinbutton_adj;
extern GtkWidget *timeout_spinbutton;
extern GtkWidget *device_selector;
extern GtkWidget *device_selector_menu;
extern GtkWidget *glade_menuitem;
extern GtkWidget *nlabel1;
extern GtkWidget *nbox2;
extern GtkWidget *info2;
extern GtkWidget *nseparator2;
extern GtkWidget *graph_hbox;
extern GtkWidget *rx_frame;
extern GtkWidget *rx_vbox;
extern GtkWidget *show_rx_graph_button;
extern GSList *top_group;
extern GtkWidget *rx_on_top_button;
extern GtkWidget *show_rx_avg_load_button;
extern GtkWidget *rx_style_table;
extern GtkWidget *rx_graph_style_selector;
extern GtkWidget *rx_graph_style_selector_menu;
extern GtkWidget *rx_graph_color_label;
extern GtkWidget *rx_avg_load_color_label;
extern GtkWidget *rx_graph_style_label;
extern GtkWidget *rx_graph_color_picker;
extern GtkWidget *rx_avg_load_color_picker;
extern GtkWidget *tx_frame;
extern GtkWidget *tx_vbox;
extern GtkWidget *show_tx_graph_button;
extern GtkWidget *tx_on_top_button;
extern GtkWidget *show_tx_avg_load_button;
extern GtkWidget *tx_style_table;
extern GtkWidget *tx_graph_style_selector;
extern GtkWidget *tx_graph_style_selector_menu;
extern GtkWidget *tx_graph_color_label;
extern GtkWidget *tx_graph_style_label;
extern GtkWidget *tx_avg_load_color_label;
extern GtkWidget *tx_graph_color_picker;
extern GtkWidget *tx_avg_load_color_picker;
extern GtkWidget *nlabel2;
extern GtkWidget *nbox3;
extern GtkWidget *info3;
extern GtkWidget *nseparator3;
extern GtkWidget *label_table;
extern GtkWidget *vpos_label;
extern GtkWidget *hpos_label;
extern GtkWidget *color_label;
extern GtkWidget *font_label;
extern GtkWidget *tx_rate_button;
extern GtkWidget *rx_rate_button;
extern GtkWidget *max_rate_button;
extern GtkWidget *device_name_button;
extern GtkWidget *rx_vpos_selector;
extern GtkWidget *rx_vpos_selector_menu;
extern GtkWidget *tx_vpos_selector;
extern GtkWidget *tx_vpos_selector_menu;
extern GtkWidget *max_vpos_selector;
extern GtkWidget *max_vpos_selector_menu;
extern GtkWidget *device_vpos_selector;
extern GtkWidget *device_vpos_selector_menu;
extern GtkWidget *rx_hpos_selector;
extern GtkWidget *rx_hpos_selector_menu;
extern GtkWidget *tx_hpos_selector;
extern GtkWidget *tx_hpos_selector_menu;
extern GtkWidget *max_hpos_selector;
extern GtkWidget *max_hpos_selector_menu;
extern GtkWidget *device_hpos_selector;
extern GtkWidget *device_hpos_selector_menu;
extern GtkWidget *rx_color_picker;
extern GtkWidget *tx_color_picker;
extern GtkWidget *max_color_picker;
extern GtkWidget *device_color_picker;
extern GtkWidget *rx_font_picker;
extern GtkWidget *tx_font_picker;
extern GtkWidget *max_font_picker;
extern GtkWidget *device_font_picker;
extern GtkWidget *item_label;
extern GtkWidget *nlabel3;
extern GtkWidget *main_separator;
extern GtkWidget *buttonbox;
extern guint load_theme_button_key;
extern GtkWidget *load_theme_button;
extern guint save_theme_button_key;
extern GtkWidget *save_theme_button;
extern GtkWidget *apply_button;
extern GtkWidget *ok_button;
extern GtkWidget *close_button;
extern GtkAccelGroup *accel_group;
extern GtkTooltips *tooltips;

#endif
